Package net.snowflake.client.core.auth

## Enum AuthenticatorType

- java.lang.Object
- - java.lang.Enum<AuthenticatorType>
  - - net.snowflake.client.core.auth.AuthenticatorType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticatorType>`

    @SnowflakeJdbcInternalApi
    public enum AuthenticatorType
    extends Enum<AuthenticatorType>

### Enum Constant Summary

Enum Constants
`EXTERNALBROWSER`
`ID_TOKEN`
`OAUTH`
`OAUTH_AUTHORIZATION_CODE`
`OAUTH_CLIENT_CREDENTIALS`
`OKTA`
`PROGRAMMATIC_ACCESS_TOKEN`
`SNOWFLAKE`
`SNOWFLAKE_JWT`
`USERNAME_PASSWORD_MFA`

### Method Summary

All Methods Static Methods Concrete Methods
`static AuthenticatorType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AuthenticatorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SNOWFLAKE

    public static final AuthenticatorType SNOWFLAKE

#### OKTA

    public static final AuthenticatorType OKTA

#### EXTERNALBROWSER

    public static final AuthenticatorType EXTERNALBROWSER

#### OAUTH

    public static final AuthenticatorType OAUTH

#### SNOWFLAKE_JWT

    public static final AuthenticatorType SNOWFLAKE_JWT

#### ID_TOKEN

    public static final AuthenticatorType ID_TOKEN

#### USERNAME_PASSWORD_MFA

    public static final AuthenticatorType USERNAME_PASSWORD_MFA

#### OAUTH_AUTHORIZATION_CODE

    public static final AuthenticatorType OAUTH_AUTHORIZATION_CODE

#### OAUTH_CLIENT_CREDENTIALS

    public static final AuthenticatorType OAUTH_CLIENT_CREDENTIALS

#### PROGRAMMATIC_ACCESS_TOKEN

    public static final AuthenticatorType PROGRAMMATIC_ACCESS_TOKEN

### Method Detail

#### values

    public static AuthenticatorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthenticatorType c : AuthenticatorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthenticatorType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null